#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import os
import socket
import time
from contextlib import suppress

collectd_path = '/tmp/collectd_sock'
PLUGIN_NAME = 'license_unregister'
tm = time.time()

if os.path.exists(collectd_path):
    message = 'license unregister'
    severity = 'WARNING'
    try:
        with open('/config/collectd-hostname', 'r') as f:
            host = f.readline().strip()
    except:
        host=socket.gethostname()
    
    msg = "PUTNOTIF type=\"\" plugin={} host={} severity={} time={} message=\"{}\"\n".format(
        PLUGIN_NAME, host, severity, str(tm), message)

    with suppress(Exception):
        cl = socket.socket(socket.AF_UNIX, socket.SOCK_STREAM)
        cl.connect(collectd_path)
        cl.sendall(msg.encode('utf-8'))
        cl.setblocking(0)
        ch = cl.recv(1)
        while ch != "\n":
            ch = cl.recv(1)

        cl.close()
