#!/usr/bin/env python3
import sys
import collectd
import sysrepo as sr

PLUGIN_NAME = 'notification_plugin'

def log(param):
    if __name__ != '__main__':
        collectd.error("%s: %s" % (PLUGIN_NAME, param))
    else:
        sys.stderr.write("%s\n" % param)

def notification(notif):
    log("Plugin notification {}".format(notif))
    conn = sr.SysrepoConnection()
    sess = conn.start_session()
    notif_dict = {"event-class": "notification", "data": str(notif.message), "severity": str(notif.severity)}
    try:
        sess.notification_send("/event:event", notif_dict)
    except Exception as e:
        log("EX: {}".format(e))

if __name__ != "__main__":
    # when running inside plugin register each callback
    collectd.register_notification(notification)
